nav {
    height: 60px;
    background-color: black;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.links-container {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
}

nav a {
    height: 100%;
    padding: 0 20px;
    display: flex;
    align-items: center;
    text-decoration: none;
    color: white;
}

nav a:hover {
    background-color: #2b2a2a;
}

nav svg {
    fill: white;
}

#sidebar-active {
    display: none;
}

.open-sidebar-button,
.close-sidebar-button {
    display: none;
}

/* max-width: 450px */
@media(max-width: 450px) {
    .links-container {
        flex-direction: column;
        align-items: flex-start;

        position: fixed;
        top: 0;
        right: -100%;
        z-index: 10;
        width: 300px;

        background-color: black;
        box-shadow: -5px 0 5px rgba(0, 0, 0, 0.25);
        transition: 0.75s ease-out;
    }

    nav a {
        box-sizing: border-box;
        height: auto;
        width: 100%;
        padding: 20px 30px;
        justify-content: flex-start;
    }

    .open-sidebar-button,
    .close-sidebar-button {
        padding: 20px;
        display: block;
    }

    #sidebar-active:checked~.links-container {
        right: 0;
    }

    #sidebar-active:checked~#overlay {
        height: 100%;
        width: 100%;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 9;
    }
}